.header {
	display: block;
	width: 100%;
	margin-top: 1rem;
}

div.dt-button-collection {
	position: absolute;
	top: 0;
	left: 0;
	width: 150px;
	margin-top: 3px;
	padding: 8px 8px 4px 8px;
	border: 1px solid #ccc;
	border: 1pxsolidrgba (0, 0, 0, 0.4);
	background-color: white;
	overflow: hidden;
	z-index: 2002;
	border-radius: 5px;
	box-shadow: 3px 3px 5pxrgba (0, 0, 0, 0.3);
	box-sizing: border-box;
	overflow-y: auto;
	max-height: 300px;
}

div.dt-buttons button {
	border: none;
	border-radius: 4px;
	background-color: #9a1842;
	color: #ffffff;
	font-weight: 700;
}

div.dt-buttons button.dt-button:hover {
	border: none;
	border-radius: 4px;
	background: #ffffff !important;
	color: #9a1842;
	font-weight: 700;
}

div.dt-button-collection button.dt-button,
div.dt-button-collection div.dt-button,
div.dt-button-collection a.dt-button {
	border: none;
	border-radius: 4px;
	background-color: #9a1842;
}

div.dt-button-collection button.dt-button,
div.dt-button-collection div.dt-button,
div.dt-button-collection a.dt-button {
	border: none;
	border-radius: 4px;
	background-color: #ffffff;
	color: #9a1842;
}

div.dt-button-collection button.dt-button:hover {
	border: none;
	border-radius: 4px;
	background: #ffffff !important;
	color: #9a1842;
	font-weight: 700;
}

.dt-button.buttons-columnVisibility.active {
	border: none;
	border-radius: 4px;
	background: #9a1842 !important;
	color: #ffffff;
	font-weight: 700;
	overflow-y: auto;
}

div.dataTables_length {
	padding-top: 5px;
}

#show-modal-body {
	overflow-y: auto;
	max-height: 40%;
}

.spinner-loading {
	display: flex;
	justify-content: center;
	align-items: center;
	min-height: 48px;
	padding: 10px;
}

.spinner-loading span {
	display: block;
	border-width: 7.5px;
	border-style: dotted;
	border-radius: 50%;
	height: 32px;
	width: 32px;
	animation: spin 1s linear infinite;
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
		border-color: #3498db;
	}

	25% {
		border-color: #e74c3c;
	}

	50% {
		border-color: #2ecc71;
	}

	75% {
		border-color: #f1c40f;
	}

	100% {
		transform: rotate(360deg);
		border-color: #3498db;
	}
}
